<?php
require_once('config.php');
function readline($s) {
  $result="";
  while (true) {
    $c = '';
    $c=socket_read($s,1,0);
    if ($c === false)
      return 'FAIL connection closed';
    //echo "got char $c <br />";
    //flush();
    if ($c=="\n")
      return $result;
    $result = $result.$c;
    //echo "result '$result' <br />";
  }
}


function phpgo_connect(&$err) {
  global $phpgo;
  $s = socket_create(AF_INET, SOCK_STREAM, SOL_TCP);
  if (! socket_connect($s, $phpgo['host'], $phpgo['port'])) {
    $err='Failed to connect to phpgo server';
    return 0;
  }
  $greet=readline($s);
  if (!strstr($greet, 'ASYNCGO')) {
    $err=' Unrecognized greet from phpgo server "'+$greet+'"';
    return 0;
  }
  return $s;
}

function phpgo_query($s, $query, &$result) {
   socket_write($s, $query."\n");
   $reply = readline($s);
   
   if (!strstr($reply, 'OK')) {
     $result=substr($reply,0,strlen($reply));
     return false;
   }
   else {
     $result=substr($reply, 3, strlen($reply)-3);
     return true;
   }
}

function phpgo_close($s) {
  socket_close($s);
}

?>