#ifndef INC_IOSTD
#define INC_IOSTD
#include <stdio.h>
#include "iobase.h"
#include <stdarg.h>
#include <stdlib.h>
class IOStd: public IOBase {
 public:
  IOStd();
  void Fatal( char *fmt, ... );
  void Error( char *fmt, ... );
  void Log( char *fmt, ... );
  void Log( BOOL bDebug, char *fmt, ... );
  
  void InfoBuf(char *buffer);
  void Info( char *fmt, ... );
  void InfoNoCrLf( char *fmt, ... );      //! no carriage-return linefeed.
  
  void Prob( char *fmt, ... );
  

 private:
  FILE * _pLogFile;
};


#endif
