//! Pt.cpp
//!	This marks a position on a board... the piece only has position. No
//!		other property (like color)... the color must be known in advance.
//
// The contents of this file are subject to
//	the OpenGo Public License Version 2.0 (the "License"); you may not
//	use this file except in compliance with the License. You may obtain
//	a copy of the License at http://www.inventivity.com/OpenGo
//
// Software distributed under the License is distributed on an "AS IS" basis,
//	WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
//	for the specific language governing rights and limitations under
//	the License.
// 
// The Original Code is OpenGo Version 0.01
// 
// The Initial Developer of the Original Code is Jeffrey Greenberg. The
//	Original Code is copyrighted c 1995 - 1998. All Rights Reserved.
// 
// Subsequent Modifications are copyrighted as set forth below by their
//	Contributors.
//
// Contributor(s):
//	Jeffrey Greenberg	v1		copyright (c) 1996
//	Jeffrey Greenberg	v2		copyright (c) 1997
//	Jeffrey Greenberg	v3		copyright (c) 1999
//	Jeffrey Greenberg	v4		copyright (c) 2000
//	Jeffrey Greenberg	v4.2	copyright (c) 2000
//	Jeffrey Greenberg	v5.0	copyright (c) 2001
//
//==========================================================================


#include "pt.h"


// ***************************************
Pt::Pt( Coord row, Coord col )
{
	_row = row;
	_col = col;
}
 
//Pt::Pt( Pt &rPt )
//{
//	_row = rPt._row;
//	_col = rPt._col;
//}

Pt::Pt( const Pt &rPt )
{
	_row = rPt._row;
	_col = rPt._col;
}

Pt::Pt()
{
	_row = -1;
	_col = -1;
}
 
Pt::~Pt()
{
}
