#ifndef THREADPOOL_H
#define THREADPOOL_H
#include <list>
#include "lockable.h"
using std::list;
typedef void * (*StartRoutine)(void *) ;
struct ThreadData;

class ThreadPool: public Lockable {
 public:
  ThreadPool() : size(0) {}
  void start(StartRoutine, void * param);

  void notifyReady(ThreadData *);
 private:

  int size;
  list<ThreadData *> available;
};


#endif
