/*
Copyright (C) 2002 Matthieu NOTTALE (matthieu@nottale.net)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


#warning "I was young when I wrote this ok, I know its crappy..."
/**********************************************************************
* ------------------------------------------------------------------- *
*|                                                      bSocket Class|*
*|                                                 - Light version - |*
* ------------------------------------------------------------------- * 
***********************************************************************/
//by Bluffy
#include <unistd.h>
#include <memory.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <netinet/in.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <pthread.h>
#include <stdlib.h>
#include <time.h>
#include <errno.h>
#include <stdio.h>
#include "bsocket_l.h"

//pour les loop: met Online a stop et tente 10 fois a interval stop_wait
//de regarder si passs  0
#define STOP_WAIT       1
#define STAT_CONNECTED  1
#define STAT_WAITLOOP   2
#define STAT_RECVLOOP   3
#define STAT_STOP       -1
#define BUFFERLENGTH    1000
#define NULL 0
//Constructor
bSocket::bSocket(bool udp, bool useLineDelimiter)
{
  this->useLineDelimiter = useLineDelimiter; 
  UDP=udp;
  Online=false;
  InternalSocket=NULL;
  Respawn=false;
CanRespawn=true;

}

bSocket::~bSocket()
{
	if (InternalSocket) close(InternalSocket);
}

bool bSocket::Disconnect()
{
Respawn=false;
if (Online==STAT_WAITLOOP) return StopWaitLoop();
if (Online==STAT_RECVLOOP) return StopReceiveLoop();
    if (InternalSocket) close(InternalSocket);
    InternalSocket=NULL;
    Online=0;
return true;
}
// Connecte la socket au serveur irc
bool bSocket::Connect(char *HostName,int Port,char * _Interface,int srcport)
{
	if (HostName) strcpy(Host,HostName); else Host[0]=0;
	if (_Interface) strcpy(Interface,_Interface); else Interface[0]=0;
	SPort=srcport;
	DPort=Port;
	if (InternalSocket) close(InternalSocket);
	if (!UDP) InternalSocket=socket(AF_INET,SOCK_STREAM,IPPROTO_IP);
	else	InternalSocket=socket(AF_INET,SOCK_DGRAM,IPPROTO_IP);
	sockaddr_in SockAddr;
	memset(&SockAddr,0,sizeof(sockaddr_in));
	SockAddr.sin_family = AF_INET;
	SockAddr.sin_port= htons(Port);
	if ((Interface)||(srcport))
		{
		sockaddr_in sa;
		sa.sin_family=AF_INET;
		sa.sin_port=srcport?htons(srcport):0;//on s'en fou
		sa.sin_addr.s_addr=Interface[0]?inet_addr(Interface):INADDR_ANY;
		if (bind(InternalSocket,(sockaddr *)&sa,sizeof(sockaddr_in))==-1)
			{
			int l=errno;
			return false;
			}
		}
	hostent *hp=gethostbyname(HostName);
	if (!hp)
	{
		SockAddr.sin_addr.s_addr=inet_addr(HostName);
	    if (SockAddr.sin_addr.s_addr==INADDR_NONE)
		return false;
	}  
	else memcpy(&SockAddr.sin_addr,hp->h_addr,4);  
	if (connect(InternalSocket,(sockaddr *)&SockAddr,sizeof(sockaddr_in))==-1)
	{
		int l=errno;
		return false;
	}

return true;
}

unsigned long bSocket::Receive(char *Buffer,unsigned long MaxLen)
{
	if (!InternalSocket)
		return 0;
	unsigned long Result=recv(InternalSocket,Buffer,MaxLen,0);
	return Result;
}
unsigned long bSocket::SlowSend(const char * Buffer,unsigned long len)
{
  if (!this) return 0;
  for (int i=0;i<len;i++) 
    {
      if (send(InternalSocket,&Buffer[i],1,0)!=1) return 0;
      usleep(20000);
    }
  return 1;
}
bool bSocket::InternalSend(const char *Buffer, unsigned long Len)
{
	long Sent=0;
	if (InternalSocket==NULL)
	  return false;
	while (Sent != Len) {
	  int r =send(InternalSocket,Buffer+Sent,Len-Sent,0);
	  if (r<=0) return false;
	  Sent +=r;
	}
	return true;
}

unsigned long bSocket::Send(const char *ToSend)
{
	if (!this) return 0;
	return InternalSend(ToSend,strlen(ToSend));
}
unsigned long bSocket::Send(const char *ToSend,unsigned long Len)
    {
    if (!this) return 0;
    return InternalSend(ToSend,Len);
    }
void * clt(void * param)
    {
    ((bSocket*)param)->WaitLoop();
    return 0;
    }
void * clt2(void * param)
    {
    ((bSocket*)param)->ReceiveLoop();
    if (((bSocket*)param)->DeleteOnDisconnect())
      delete ((bSocket*)param);
    return 0;
    }
bool bSocket::CreateWaitLoop(int Port,tOnConnect OnConnect,tOnError onerror)
    {
    OnError=onerror;
    if (Online) Disconnect();
    if (InternalSocket) close(InternalSocket);
    //on bind
    if (!UDP) InternalSocket=socket(AF_INET,SOCK_STREAM,IPPROTO_IP);
    else	InternalSocket=socket(AF_INET,SOCK_DGRAM,IPPROTO_IP);
    if (InternalSocket==-1) return false;
    sockaddr_in localsin;
	localsin.sin_family=AF_INET;
	localsin.sin_addr.s_addr=INADDR_ANY;
    localsin.sin_port=htons(Port);
    int yes = 1;
    setsockopt(InternalSocket, SOL_SOCKET, SO_REUSEADDR, (char *) &yes, sizeof (yes));
   
    if (bind(InternalSocket,(sockaddr *)&localsin,sizeof(sockaddr_in))==-1) return false;
    listen(InternalSocket,SOMAXCONN);
    pthread_t inu;
    Online=STAT_WAITLOOP;
    CallBack=(void *)OnConnect;
    pthread_create(&inu,NULL,&clt,this);
    return true;
    }
bool bSocket::Bind(int Port,char * interface)
{
  if (Online) Disconnect();
  if (InternalSocket) close(InternalSocket);
 if (!UDP) InternalSocket=socket(AF_INET,SOCK_STREAM,IPPROTO_IP);
 else	InternalSocket=socket(AF_INET,SOCK_DGRAM,IPPROTO_IP);
 if (InternalSocket==-1) return false;
 sockaddr_in localsin;
 localsin.sin_family=AF_INET;
 localsin.sin_addr.s_addr=interface?inet_addr(interface):INADDR_ANY;
 localsin.sin_port=htons(Port);
 if (bind(InternalSocket,(sockaddr *)&localsin,sizeof(sockaddr_in))==-1) return false;
 return true;
}
bool bSocket::StopWaitLoop()
    {
    if (Online!=STAT_WAITLOOP) return false;
    Online=STAT_STOP;
    sleep(0);
    for (int i=10;i&&Online;i--) sleep(STOP_WAIT);
    return !Online;
    }
bool bSocket::StopReceiveLoop()
    {
    if (Online!=STAT_RECVLOOP) return false;
    Online=STAT_STOP;
    sleep(0);
    for (int i=10;i&&Online;i--) sleep(STOP_WAIT);
    return !Online;
    }
bool bSocket::CreateReceiveLoop(tOnReceive OnReceive,tOnError onerror, bool markD)
{
  MarkDelete = markD;
  OnError=onerror;
  //NE PAS DECONNECTER OF COURSE if (Online) Disconnect();
  Online=STAT_RECVLOOP;
  CallBack=(void *)OnReceive;
  pthread_t inu;
  pthread_create(&inu,0,&clt2,this);

  return true;
}


bool bSocket::EnterReceiveLoop(tOnReceive OnReceive,tOnError onerror, bool markD)
{
  MarkDelete = markD;
  OnError=onerror;
  
  Online=STAT_RECVLOOP;
  CallBack=(void *)OnReceive;
  clt2(this);
  return true;
}

void bSocket::ReceiveLoop()
{
  char * buff=(char *)malloc(BUFFERLENGTH);
  unsigned long len = 0;
  
  do
    {
      while (Online==STAT_RECVLOOP)
	{
	  int llen=Receive(buff+len,BUFFERLENGTH-len);
	  if (llen==-1) break;
	  if (!llen) break; //"socket closed gracefuly
	  len += llen;
	  buff[len] = 0;
	  //fprintf(stderr,"in buffer: -%s-\n",buff);
	  if (useLineDelimiter) {
	    int p=0;
	    for (p=0;p<len;p++)
	      if (buff[p]=='\n') break;
	    
	    if (p<len) {
	      buff[p]= 0;
	      ((tOnReceive)CallBack)(this,buff,p);
	      memmove(buff, buff+p+1, len-p-1);
	      len = len-p-1;
	    }
	    if (len == BUFFERLENGTH)
	      len = 0; //TODO: return an error?
	  }
	  else {
	    ((tOnReceive)CallBack)(this,buff,len);
	    len = 0;
	  }
	}
      if (Online==STAT_RECVLOOP)
	{
	  unsigned long err=errno; //len?errno:0;
	  if (OnError) 
	    OnError(this,err);
	  if (Respawn) Connect(Host,DPort,Interface,SPort);
	  Online=STAT_RECVLOOP;
	}
    }
  while (Respawn);
  if (InternalSocket) close(InternalSocket);
  InternalSocket=NULL;
  Online=0;
  free(buff);
}
void bSocket::WaitLoop()
    {
    while (Online==STAT_WAITLOOP)
	{
	sockaddr_in sin;
		int sz=sizeof(sockaddr_in);
		memset(&sin,0,sz);
        int  s=accept(InternalSocket,(sockaddr*)&sin,(socklen_t*)&sz);
        //SOCKET s=accept(InternalSocket,NULL,0);
		if (s==-1)
            break;
	bSocket * nb=new bSocket(UDP, useLineDelimiter);
	nb->Online=STAT_CONNECTED;
	memcpy(&nb->Destination,&sin,sizeof(sockaddr_in));
	nb->InternalSocket=s;
	((tOnConnect)CallBack)(this,nb);
	}
    if ((Online==STAT_WAITLOOP)&&(OnError)) OnError(this,errno);
    if (InternalSocket) close(InternalSocket);
    InternalSocket=NULL;
    Online=0;
    }

void bSocket::GetLocalIp(char *ip)
    {
    sockaddr_in addr;
    int sz=sizeof(sockaddr_in);
    getsockname(InternalSocket,(sockaddr *)&addr,(socklen_t *)&sz);
    strcpy(ip,inet_ntoa(addr.sin_addr));
    }

bool bSocket::GetDestination(char * Buffer)
	{
	if (Online!=STAT_CONNECTED) return false;
	strcpy(Buffer,inet_ntoa((in_addr)Destination.sin_addr));
	return true;
	}
